import { get, post, url} from '../index'

class SSO {

  // 账户登录
  @url("/sso/oauth2/login")
  @post
  ssoLogin() {}
  
  // 退出登录
  @url("/sso/oauth2/logout")
  @get
  ssoLogout() {}
  
  // 获取当前用户 基本信息
  @url("/sso/oauth2/user")
  @get
  getBasicUserInfo() {}
  
  // 刷新令牌
  @url("/sso/oauth2/refresh")
  @get
  refreshToken() {}
  
  // 校验令牌
  @url("/sso/oauth2/check")
  @get
  checkToken() {}
  
  // 校验用户是否可以登录
  @url("/sso/oauth2/is-allow-login")
  @post
  checkCanLogin() {}
  
}

export default new SSO()
